| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkExportWrap::ExportErrorWrapper Class Referencefinal

Wraps a nkExport::ExportError and offer functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static nkScripts::OutputValue | getErrorDesc (void *object)
static nkScripts::OutputValue | getErrorInfo (void *object)
static nkScripts::OutputValue | getIndex (void *object)
static nkScripts::OutputValue | isActivated (void *object)

## Detailed Description

Wraps a nkExport::ExportError and offer functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkExportWrap::ExportErrorWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ getErrorDesc()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::ExportErrorWrapper::getErrorDesc | ( | void * | object | ) |
| static

Wrapper function for the nkExport::ExportError::getErrorDesc() attribute reading.

local d = t.errorDesc ;

Parameters

  object | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a string.

## ◆ getErrorInfo()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::ExportErrorWrapper::getErrorInfo | ( | void * | object | ) |
| static

Wrapper function for the nkExport::ExportError::getErrorInfo() attribute reading.

local d = t.errorInfo ;

Parameters

  object | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a string.

## ◆ getIndex()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::ExportErrorWrapper::getIndex | ( | void * | object | ) |
| static

Wrapper function for the nkExport::ExportError::getIndex() attribute reading.

local d = t.index ;

Parameters

  object | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a string.

## ◆ isActivated()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::ExportErrorWrapper::isActivated | ( | void * | object | ) |
| static

Wrapper function for the nkExport::ExportError::isActivated() attribute reading.

local d = t.activated ;

Parameters

  object | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a string.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkExportWrap/Errors/ExportErrorWrapper.h